#
# iparapheur
# Copyright (C) 2019-2024 Libriciel-SCOP
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#

# https://docs.docker.com/compose/environment-variables/

DATA_ROOT_DIR=/data/iparapheur
BACKUPS_ROOT_DIR=/data/iparapheur_backups

APPLICATION_PROTOCOL=https
APPLICATION_HOST=iparapheur.domaine.local
CERTIFICATE_FULLCHAIN_PATH=${DATA_ROOT_DIR}/certificate/ssl/fullchain.pem
CERTIFICATE_PRIVKEY_PATH=${DATA_ROOT_DIR}/certificate/ssl/privkey.pem

ALLO_TOKEN=

SMTP_HOST=10.123.0.1
SMTP_PORT=25
SMTP_USER=
SMTP_PASSWORD=
SMTP_ENABLE_AUTH=false
SMTP_MAIL_FROM=ne-pas-repondre@domaine.invalid
SMTP_ENABLE_SSL=false
SMTP_ENABLE_START_TLS=false

TRUSTSTORE_PASSWORD=

POSTGRES_HOST=postgres
POSTGRES_PORT=5432
POSTGRES_USER=root
POSTGRES_PASSWORD=

CORE_DB_USER=ipcore
CORE_DB_PASSWORD=

QUARTZ_DB_USER=quartz
QUARTZ_DB_PASSWORD=

KEYCLOAK_AUTH_PROTOCOL=https
KEYCLOAK_HOST=keycloak
KEYCLOAK_PORT=8080
KEYCLOAK_REALM=api
KEYCLOAK_CLIENT_ID=ipcore-api
KEYCLOAK_CLIENT_SECRET=<random-uuid>
KEYCLOAK_WEB_CLIENT_ID=ipcore-web
INITIAL_KEYCLOAK_ADMIN_USER=admin
INITIAL_KEYCLOAK_ADMIN_PASSWORD=<random-80-entropy-password>

KEYCLOAK_DB_DATABASE=keycloak
KEYCLOAK_DB_USER=keycloak
KEYCLOAK_DB_PASSWORD=
KEYCLOAK_RESTADMIN_PASSWORD=<random-80-entropy-password>
KEYCLOAK_SOAPUI_PASSWORD=<random-80-entropy-password>

INITIAL_IPARAPHEUR_ADMIN_USER=user
INITIAL_IPARAPHEUR_ADMIN_PASSWORD=<random-80-entropy-password>

CONTENT_HOST=alfresco
CONTENT_PORT=8080
CONTENT_DB_USER=alfresco
CONTENT_DB_PASSWORD=
CONTENT_USER=admin
CONTENT_PASSWORD=<random-password>

WORKFLOW_DB_USER=flowable
WORKFLOW_DB_PASSWORD=

SECUREMAIL_DB_USER=pastellconnector
SECUREMAIL_DB_PASSWORD=

SECRET_PROTOCOL=http
SECRET_HOST=vault
SECRET_PORT=8200
VAULT_UNSEAL_KEY=
VAULT_TOKEN=

GDPR_DECLARING_ENTITY_NAME=
GDPR_DECLARING_ENTITY_ADDRESS=
GDPR_DECLARING_ENTITY_SIRET=
GDPR_DECLARING_ENTITY_APE_CODE=
GDPR_DECLARING_ENTITY_PHONE_NUMBER=
GDPR_DECLARING_ENTITY_MAIL=
GDPR_DECLARING_ENTITY_DPO_NAME=
GDPR_DECLARING_ENTITY_DPO_MAIL=
GDPR_DECLARING_ENTITY_RESPONSIBLE_NAME=
GDPR_DECLARING_ENTITY_RESPONSIBLE_TITLE=

GDPR_HOSTING_ENTITY_NAME="${GDPR_DECLARING_ENTITY_NAME}"
GDPR_HOSTING_ENTITY_ADDRESS="${GDPR_DECLARING_ENTITY_ADDRESS}"
GDPR_HOSTING_ENTITY_SIRET="${GDPR_DECLARING_ENTITY_SIRET}"
GDPR_HOSTING_ENTITY_COMMENT=

GDPR_MAINTENANCE_ENTITY_NAME="${GDPR_HOSTING_ENTITY_NAME}"
GDPR_MAINTENANCE_ENTITY_ADDRESS="${GDPR_HOSTING_ENTITY_ADDRESS}"
GDPR_MAINTENANCE_ENTITY_SIRET="${GDPR_HOSTING_ENTITY_SIRET}"

WAITING_DAYS=auto-update-disabled

HTTP_PROXY_HOST=
HTTP_PROXY_PORT=
HTTPS_PROXY_HOST=
HTTPS_PROXY_PORT=
